ParseDirectiveException (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.directive.ParseDirectiveException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.directive
Class ParseDirectiveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.velocity.runtime.directive.ParseDirectiveException

All Implemented Interfaces:
  java.io.Serializable

public class ParseDirectiveException
extends java.lang.Exception

Exception for #parse() problems

Version:
  $Id: ParseDirectiveException.java,v 1.4.14.1 2004/03/03 23:22:56 geirm Exp $
Author:
  Geir Magnusson Jr.
See Also:
  Serialized Form

Field Summary
`private int` | `depthCount`
`private java.util.Stack` | `filenameStack`
`private java.lang.String` | `msg`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`(package private)` | `ParseDirectiveException(java.lang.String m, int i)` Constructor

Method Summary
`void` | `addFile(java.lang.String s)` Add a file to the filename stack
`java.lang.String` | `getMessage()` Get a message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### filenameStack

    private java.util.Stack filenameStack

### msg

    private java.lang.String msg

### depthCount

    private int depthCount

Constructor Detail

### ParseDirectiveException

    ParseDirectiveException(java.lang.String m,
                            int i)

  Constructor

Method Detail

### getMessage

    public java.lang.String getMessage()

  Get a message.

### addFile

    public void addFile(java.lang.String s)

  Add a file to the filename stack

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.